// Models of backward masking -- July 2002
// Greg Francis (gfrancis@psych.purdue.edu)
// Purdue University
// This material is based upon work supported by the National Science Foundation under Grant No. 0108905. 

// This class defines a window that closes when requested.

import java.awt.*;

public class CloseableFrame extends Frame
{
	public CloseableFrame (String title, Image icon)
	{
		super(title);
		setIconImage(icon);
	}

	public CloseableFrame (String title)
	{
		super(title);
	}

	public boolean handleEvent (Event e)
	{

		switch(e.id)
		{
			case Event.WINDOW_DESTROY:
				dispose();
				return true;
			default:
				return false;
		}
	}
}

