// Models of backward masking -- July 2002
// Greg Francis (gfrancis@psych.purdue.edu)
// Purdue University
// This material is based upon work supported by the National Science Foundation under Grant No. 0108905. 

// This class defines a window that hides when requested.

import java.awt.*;

public class HideableFrame extends CloseableFrame
{
	public HideableFrame (String title)
	{
		super(title);
		this.hide();
	}

	public HideableFrame (String title, Image icon)
	{
		super(title);
		setIconImage(icon);
		this.hide();
	}

	public boolean handleEvent (Event e)
	{
		switch(e.id)
		{
			case Event.WINDOW_DESTROY:
				hide();
				return true;
			default:
				return false;
		}
	}
}

