// Models of backward masking -- July 2002
// Greg Francis (gfrancis@psych.purdue.edu)
// Purdue University
// This material is based upon work supported by the National Science Foundation under Grant No. 0108905. 

// This class creates a window that dispalys the description of a parameter.

import java.awt.*;

public class ParameterWindow extends HideableFrame
{
	public ParameterWindow (String Title, String Description)
	{
		super(Title);

		Font font=new Font("Helvetica",Font.PLAIN,12);
		setFont(font);

		this.setLayout(new BorderLayout());

		TextArea textArea = new TextArea(Description, 5,20, TextArea.SCROLLBARS_VERTICAL_ONLY);
		textArea.setEditable(false);

		this.add("Center", textArea);

		Panel bottomPanel = new Panel();

                bottomPanel.setLayout(new FlowLayout() );
                bottomPanel.add(new Button("  OK  ") );

		this.add("South", bottomPanel);
		this.resize(500,400);
		this.show();
	}

	public boolean handleEvent (Event e)
	{
		switch(e.id)
		{
			case Event.WINDOW_DESTROY:
				hide();
				return true;
			case 1001: /* Event.ACTION_EVENT */
                        if(e.target instanceof Button)
                        {
				if(((String)e.arg).equals("  OK  "))
				{
					hide();
				}
			}
			default:
				return false;
		}
	}
}

