// Models of backward masking -- July 2002
// Greg Francis (gfrancis@psych.purdue.edu)
// Purdue University
// This material is based upon work supported by the National Science Foundation under Grant No. 0108905. 

import java.awt.*;
import java.util.StringTokenizer;
import java.io.*;

public class SimPlot extends CloseableFrame
{
	SimResults Results;
	ShowSimData SDArray;
	SimPlotImage plot;
	Image plotImage;

	public SimPlot (SimResults Results)
	{
		super("Simulation results for "+Results.Name);
                //Create menubar
		MenuBar menubar = new MenuBar();
		this.setMenuBar(menubar);
		//Create counter menu..
		Menu SD=new Menu("Show data");
                SD.add(new MenuItem("Show data points"));
		SD.add(new MenuItem("Close window"));
		menubar.add(SD);		
		this.Results = Results;
		// Create textual display of data
		SDArray = new ShowSimData ( Results);
		this.setLayout( new BorderLayout());
		plot = new SimPlotImage(Results);
		this.add(plot, "Center");
                this.resize(600,450);
                this.show();
	}

	public boolean handleEvent (Event e)
	{
		switch(e.id)
		{
			case Event.ACTION_EVENT:
			if(e.target instanceof MenuItem)
			{
				if( ((String)e.arg).equals("Show data points"))
					SDArray.show();
				else if (((String)e.arg).equals("Close window"))
					this.dispose();
				return true;
			}
			case Event.WINDOW_DESTROY:
				dispose();
				return true;
			default:
				return false;
		}
	}
}

