// Models of backward masking -- July 2002
// Greg Francis (gfrancis@psych.purdue.edu)
// Purdue University
// This material is based upon work supported by the National Science Foundation under Grant No. 0108905. 

// This class holds the data from a run of a simulation. It generated a plot on command. 

import java.io.Serializable;
import java.util.Vector;
import java.util.Date;

public class SimResults
    implements Serializable
{
    String Name, Xaxis, Yaxis;
    
    // different curves
    Vector Lines;
    Date date;
  
    SimResults(String name, String Xaxis, String Yaxis)
    {
        this.Name = name;
        this.Xaxis = Xaxis;
        this.Yaxis = Yaxis;
        this.date = new Date();
        Lines = new Vector();
    }

    public void ShowResults()
    {
        SimPlot plot = new SimPlot(this);
    }
    
    
    public void addLine(SimLine newLine)
    {
        Lines.addElement(newLine);
        date = new Date();
    }
    
    public void clear()
    {
        Lines = new Vector();
        date = new Date();
    }
}
