// Models of backward masking -- July 2002
// Greg Francis (gfrancis@psych.purdue.edu)
// Purdue University
// This material is based upon work supported by the National Science Foundation under Grant No. 0108905.

import java.applet.*;
import java.awt.*;

public class modelApplet extends Applet
{
        Button [] modelB;

	public void init ()
	{
		Font font=new Font("Helvetica",Font.PLAIN,18);
		setFont(font);

		// sets up all buttons
		setBackground(Color.white);

                modelB = new Button[7];
				modelB[0] = new Button("Dual-channel model");
                modelB[1] = new Button("Recurrent inhibition model");
                modelB[2] = new Button("Decaying trace model");
                modelB[3] = new Button("Efficient masking model");
                modelB[4] = new Button("Reentrant processing model");
                modelB[5] = new Button("Simple mask-blocking");
				modelB[6] = new Button("Perceptual retouch model");

                int adjust=0;
                if(modelB.length%2 !=0)
                    adjust =1;
                this.setLayout(new GridLayout(modelB.length/2+adjust, 2, 10, 5));

                for(int i=0;i<modelB.length;i++)
                    this.add(modelB[i]);
	}

	public boolean action(Event evt, Object arg)
	{
		if(evt.target instanceof Button)
		{
			String s = (String)arg;
                        System.out.println(s);
			if(s.equals(modelB[0].getLabel()))
			{
				Weisstein simulation = new Weisstein();
                                new SimulationGUI(simulation);
				return true;
			}
                        else if(s.equals(modelB[1].getLabel()))
			{
				Bridgeman simulation = new Bridgeman();
                                new SimulationGUI(simulation);
				return true;
			}
                        else if(s.equals(modelB[2].getLabel()))
			{
				AnbarAnbar simulation = new AnbarAnbar();
                                new SimulationGUI(simulation);
				return true;
			}
                        else if(s.equals(modelB[3].getLabel()))
			{
				EfficientMasking simulation = new EfficientMasking();
                                new SimulationGUI(simulation);
				return true;
			}
                         else if(s.equals(modelB[4].getLabel()))
			{
				DiLolloEtAl simulation = new DiLolloEtAl();
                                new SimulationGUI(simulation);
				return true;
			}
			else if(s.equals(modelB[5].getLabel()))
						{
							SimpleMaskBlocking simulation = new SimpleMaskBlocking();
			                                new SimulationGUI(simulation);
							return true;
			}
			else if(s.equals(modelB[6].getLabel()))
						{
							PerceptualRetouch simulation = new PerceptualRetouch();
			                                new SimulationGUI(simulation);
							return true;
			}
		}
		return false;
	}
}
